apiVersion: kafka.strimzi.io/v1beta2
kind: KafkaConnect
metadata:
  name: debezium-connect-orcale-cluster
  annotations:
    strimzi.io/use-connector-resources: "true"
spec:
  version: 3.4.0
  replicas: 1
  bootstrapServers: debezium-cluster-kafka-bootstrap:9092
  config:
    config.providers: secrets
    config.providers.secrets.class: io.strimzi.kafka.KubernetesSecretConfigProvider
    group.id: connect-oracle-cluster
    offset.storage.topic: oracle-connect-cluster-offsets
    config.storage.topic: oracle-connect-cluster-configs
    status.storage.topic: oracle-connect-cluster-status
    # -1 means it will use the default replication factor configured in the broker
    config.storage.replication.factor: -1
    offset.storage.replication.factor: -1
    status.storage.replication.factor: -1
  build:
    output:
      type: docker
      image: image-registry.openshift-image-registry.svc:5000/cytric-cdc/debezium-connect-oracle:latest
    plugins:
      - name: debezium-oracle-connector
        artifacts:
          - type: tgz
            url: https://repo1.maven.org/maven2/io/debezium/debezium-connector-oracle/2.3.0.Alpha1/debezium-connector-oracle-2.3.0.Alpha1-plugin.tar.gz
            sha512sum: ac55cf0cfab3a3c4bfbb57542b43912ad3c150a427d53fb3e3b3b646595b2bf7f85d572c618f22cee3edd1326481ba7a10d514595f36055e63f32ce81cd65422
          - type: jar
            url: https://repo1.maven.org/maven2/com/oracle/database/jdbc/ojdbc8/21.6.0.0/ojdbc8-21.6.0.0.jar
            sha512sum: 8f6fcc3e45450537880ba03da70267e9cec6ee6d6802372593f9581b2ef3e49bcf2cda8c6c178837241d94a9b6fc17bbbc2aa5da7bf91f86ba422036de06bee7
  resources:
    requests:
      cpu: "0.5"
      memory: 1Gi
    limits:
      cpu: "1"
      memory: 2Gi
  readinessProbe:
    initialDelaySeconds: 15
    timeoutSeconds: 5
  livenessProbe:
    initialDelaySeconds: 15
    timeoutSeconds: 5
  jvmOptions:
    "-Xmx": "2g"
    "-Xms": "1g"
